package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

/**
 * @Author Joburgess
 * @Date 2021/6/5 0005
 */
public class MusicPitchDetailDto {

    @ApiModelProperty("时间戳ms")
    private int timeStamp;

    @ApiModelProperty("持续时长ms")
    private int duration;

    @ApiModelProperty("频率Hz")
    private float frequency;

    @ApiModelProperty("小节数")
    private int measureIndex;

    public MusicPitchDetailDto() {
    }

    public MusicPitchDetailDto(int timeStamp, float frequency) {
        this.timeStamp = timeStamp;
        this.frequency = frequency;
    }

    public MusicPitchDetailDto(int timeStamp, int duration, float frequency) {
        this.timeStamp = timeStamp;
        this.duration = duration;
        this.frequency = frequency;
    }

    public int getTimeStamp() {
        return timeStamp;
    }

    public void setTimeStamp(int timeStamp) {
        this.timeStamp = timeStamp;
    }

    public int getDuration() {
        return duration;
    }

    public void setDuration(int duration) {
        this.duration = duration;
    }

    public float getFrequency() {
        return frequency;
    }

    public void setFrequency(float frequency) {
        this.frequency = frequency;
    }

    public int getMeasureIndex() {
        return measureIndex;
    }

    public void setMeasureIndex(int measureIndex) {
        this.measureIndex = measureIndex;
    }
}
